
Advanced Frontend Editing - Bug # 8072

Status: Closed Priority: Must have
Author: Chris topher Category: Editing Form
Created: 2010-06-04 Assigned To: Jeff Segars
Updated: 2014-08-06 Due date:
Subject: Sprite manager not initialized for editing forms
Description

I just got the following error using feeditadvanced with TYPO3 4.4beta3:

Error handler (FE): PHP Warning: in_array(): Wrong datatype for second argument in t3lib/class.t3lib_iconworks.php line 649

I got that 9 times in the same second.

Related issues:
precedes Advanced Frontend Editing - Bug # 9304: Versioncheck for sprite mana... Closed 2010-08-15

Associated revisions
Revision d63a9139 - 2010-07-30 02:25 - Jeff Segars

Fixed bug #8072: Sprite Manager is not initialized for editing forms.

git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@2510 743128fe-103e-dd11-99c4-001b210b3e58

Revision 6b623116 - 2010-07-30 20:52 - Jeff Segars

Followup to bug #8072: Only load Sprite Manager for TYPO3 4.4 and up.

git-svn-id: https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@2511 743128fe-103e-dd11-99c4-001b210b3e58

History
#1 - 2010-06-24 06:18 - Eric Blom

I'm experiencing the same issue in TYPO3 4.4 & feeditadvanced 1.3.0.

Core: Error handler (FE): PHP Warning: in_array() [function.in-array]: Wrong datatype for second argument in
/home/typo3/typo3_src-4.4.0/t3lib/class.t3lib_iconworks.php line 651

Eric

#2 - 2010-07-27 01:08 - Jeff Segars
- File 8072.diff added
- Status changed from New to Accepted
- Assigned To set to Jeff Segars

Hey guys,
Can you see if the attached patch fixes the issue for you?

2015-08-04 1/2

https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@2510
https://svn.typo3.org/TYPO3v4/CoreProjects/feedit/trunk@2511


You'll notice the second parameter for "t3lib_div::makeInstance('t3lib_SpriteManager', TRUE);" is true, which means that we're forcing a rebuild of the
cached sprites on every single request.  This of course isn't the right way to do it but I haven't figure out why its failing with FALSE instead of TRUE.

Thanks,
Jeff

#3 - 2010-07-27 13:25 - Chris topher

Hi Jeff,

with the patch the error no longer shows up.

Maybe Steffen Ritter can help you with the sprites. I think he wrote and implemented the code.

Regards

Christopher

#4 - 2010-07-30 02:23 - Jeff Segars
- Subject changed from Frontend Editing gives PHP Warning: in_array(): Wrong datatype for second argument in t3lib/class.t3lib_iconworks.php line 
649 to Sprite manager not initialized for editing forms

Upon further investigation, I see that typo3/init.php sets the regenerate flag to true as well.  Since this code only runs when the backend editing form is
loaded, it does in fact make sense to regenerate if necessary and performance isn't a huge concern at that point like it would be in a normal frontend
request.

Will commit this shortly.

#5 - 2010-07-30 02:25 - Jeff Segars
- Category set to Editing Form
- Target version set to 1.4.0

Fixed in r2510.

#6 - 2010-07-30 02:26 - Jeff Segars
- Status changed from Accepted to Resolved

Fixed in r2510.

#7 - 2014-08-06 12:06 - Chris topher
- Status changed from Resolved to Closed

Files
8072.diff 477 Bytes 2010-07-27 Jeff Segars
